#!/bin/sh
echo 'name: monad-par
version: 0.3.4.1
id: monad-par-0.3.4.1-19a71476bd1f87f8fbc85fd4ebfaca0b

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: The '\''Par'\'' monad offers a simple API for parallel programming.  The
             library works for parallelising both pure and @IO@ computations,
             although only the pure version is deterministic.
             .
             For complete documentation see "Control.Monad.Par".
             .
             Some examples of use can be found in the @examples/@ directory of
             the source package.
             .
             Other related packages:
             .
             * @abstract-par@ provides the type classes that abstract over different
             implementations of the @Par@ monad.
             .
             * @monad-par-extras@ provides some extra combinators layered on top of
             the @Par@ monad.
             .
             Changes in 0.3.4 relative to 0.3:
             .
             * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
             .
             * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.IO
                 Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/monad-par-0.3.4.1
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/monad-par-0.3.4.1
              /usr/local/lib
hs-libraries: HSmonad-par-0.3.4.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: abstract-deque-0.1.6-e6c352e6868e8a7c9ff010a4a8aa9192
         abstract-par-0.3.1-5b7e37b03a3537206bd749b1bdf40c7f
         array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce
         deepseq-1.3.0.0-c26e15897417ecd448742528253d68f6
         monad-par-extras-0.3.2-a90ae1ff9191908098a1d0f3c2d61913
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         mwc-random-0.12.0.1-6150181fa129b5a3adc2cb4de368f6b4
         parallel-3.2.0.3-4cdd6067624f867b253b98d6d9fb9f52
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/monad-par-0.3.4.1/html/monad-par.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/monad-par-0.3.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
